Package fr.gouv.vitam.common.server

# Class VitamServerLifeCycle

java.lang.Object
fr.gouv.vitam.common.server.VitamServerLifeCycle

All Implemented Interfaces:
  `EventListener`, `org.eclipse.jetty.util.component.LifeCycle.Listener`

public class VitamServerLifeCycle extends Object implements org.eclipse.jetty.util.component.LifeCycle.Listener
VitamServerLifeCycle is used to be able to do actions when server is going to stop or when started This implementation is for jetty server. Add this listener using the method addLifeCycleListener of jetty server

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VitamServerLifeCycle(ProcessLifeCycle processLifeCycle)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `lifeCycleFailure(org.eclipse.jetty.util.component.LifeCycle event, Throwable cause)`
  `void`
  `lifeCycleStarted(org.eclipse.jetty.util.component.LifeCycle event)`
  `void`
  `lifeCycleStarting(org.eclipse.jetty.util.component.LifeCycle event)`
  `void`
  `lifeCycleStopped(org.eclipse.jetty.util.component.LifeCycle event)`
  `void`
  `lifeCycleStopping(org.eclipse.jetty.util.component.LifeCycle event)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### VitamServerLifeCycle

    public VitamServerLifeCycle(ProcessLifeCycle processLifeCycle)

- ## Method Details

  - ### lifeCycleStarting

    public void lifeCycleStarting(org.eclipse.jetty.util.component.LifeCycle event)
    Specified by:
      `lifeCycleStarting` in interface `org.eclipse.jetty.util.component.LifeCycle.Listener`

  - ### lifeCycleStarted

    public void lifeCycleStarted(org.eclipse.jetty.util.component.LifeCycle event)
    Specified by:
      `lifeCycleStarted` in interface `org.eclipse.jetty.util.component.LifeCycle.Listener`

  - ### lifeCycleFailure

    public void lifeCycleFailure(org.eclipse.jetty.util.component.LifeCycle event, Throwable cause)
    Specified by:
      `lifeCycleFailure` in interface `org.eclipse.jetty.util.component.LifeCycle.Listener`

  - ### lifeCycleStopping

    public void lifeCycleStopping(org.eclipse.jetty.util.component.LifeCycle event)
    Specified by:
      `lifeCycleStopping` in interface `org.eclipse.jetty.util.component.LifeCycle.Listener`

  - ### lifeCycleStopped

    public void lifeCycleStopped(org.eclipse.jetty.util.component.LifeCycle event)
    Specified by:
      `lifeCycleStopped` in interface `org.eclipse.jetty.util.component.LifeCycle.Listener`